Package Details: pidgin-gnutls 2.14.1-2

Git Clone URL: https://aur.archlinux.org/pidgin-gnutls.git (read-only, click to copy)
Package Base: pidgin-gnutls
Description: Multi-protocol instant messaging client
Upstream URL: https://pidgin.im/
Licenses: GPL
Conflicts: pidgin
Provides: pidgin
Submitter: Mr.Tao
Maintainer: Mr.Tao (somini)
Last Packager: Mr.Tao
Votes: 1
Popularity: 0.78
First Submitted: 2020-06-30 10:21
Last Updated: 2020-07-01 20:40

Required by (48)

Sources (2)

Latest Comments

somini commented on 2020-07-02 23:08

Since this is a "fork" of the pidgin package on the official repos, we should change the bare minimum to enable the GnuTLS option, as you did.

I would suggest subscribing to the Atom feed containing the changes to the https://git.archlinux.org/svntogit/packages.git/atom/trunk/PKGBUILD?h=packages/pidgin I'll do this myself, since I will be using this package. I'm not an expert on Arch packaging yet, but I can assist on maintaining this.

Since pidgin is semi-abandoned (or completely "stable"), this shouldn't be much work.

I agree with the change to pkgbase mention on the forum, this is done on the same way for other similar packages:

Mr.Tao commented on 2020-07-02 18:44

I think that I might have committed a couple of AUR etiquette crimes out of haste ;-) Changes are in the repo, pop-ups are gone, .SRCINFO though isn’t exactly by the book, as I’ve been told in the forum. I think that you are right about pkgrel and I should’ve reset it initially. Hopefully, somebody with a better understanding of Arch packaging could review PKGBUILD eventually.

somini commented on 2020-07-02 00:29

@Mr.Tao I share your despair over the popups (mostly due to the fact that pidgin is semi-abandoned) :(

What the exact error? You might want to bump the pkgrel, it might be complaining about you "changing" a package while keeping the version and pkgrel.

Mr.Tao commented on 2020-07-01 18:19

I have fixed provides and conflicts directives but githook does not allow me to push to Git complaining about pkgbase=pidgin (despite it already being thete). If you are interested in building this with makepkg -s feel free to grab PKGBUILD.

Mr.Tao commented on 2020-07-01 15:45

Thanks for pointing out missing conflicts. I’ve made this package out of pure despair from certificate pop-ups happening with the original package using NSS.

somini commented on 2020-07-01 01:20

Many thanks for this. This package should conflict with "pidgin".

Maybe opening a ticket so that this can be integrated on the regular package?